XtOffset(3Xt)

NAME
XtOffset, XtNumber - determine the byte offset or number of array elements

SYNTAX
Cardinal XtOffset(pointer_type, field_name)
      Type pointer_type;
      Field field_name;

Cardinal XtNumber(array)
      ArrayVariable array;

ARGUMENTS

array
    Specifies a fixed-size array.

field_name
    Specifies the name of the field for which to calculate the byte offset.

pointer_type
    Specifies a type that is declared as a pointer to the structure.

DESCRIPTION
The macro is usually used to determine the offset of various resource fields from the beginning of a widget and can be used at compile time in static initializations.

The macro returns the number of elements in the specified argument lists, resources lists, and other counted arrays.

SEE ALSO
XtGetResourceList(3Xt), XtSetArg(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface